import nsrunit; unit conversion on;
math BriggsHaldane { realDomain t hour; t.min=0; t.max=16.0; t.delta=0.05;


/*-----------Briggs-Haldane Enzyme Kinetics-------------

   dC/dt = -Vmax*C/(Km+C)

*/

real Alo = 6 mg/L, Amid=60 mg/L, Ahi=360 mg/L;
real LOBH(t) mg/L, MIDBH(t) mg/L, HIBH(t) mg/L;
when(t=t.min) {LOBH=Alo; MIDBH=Amid; HIBH=Ahi;}
real Km = 10 mg/L;
real Vmax = 8 mg/(L*hour);

LOBH:t=-Vmax*LOBH/(Km+LOBH);
MIDBH:t=-Vmax*MIDBH/(Km+MIDBH);
HIBH:t=-Vmax*HIBH/(Km+HIBH);



}