import nsrunit; unit conversion on;
math SABriggsHaldane { 

// INDEPENDENT VARIABLE
realDomain t hour; t.min=0; t.max=16.0; t.delta=0.05;
/*-----------Briggs-Haldane Enzyme Kinetics-------------

   dC/dt = -Vmax*C/(Km+C)

*/
// PARAMETERS

real Alo = 1 mg/L, Amid =50 mg/L, Ahi =300 mg/L,
     Km = 10 mg/L,
     Vmax = 8 mg/(L*hour);

// VARIABLES
real LO(t) mg/L, MID(t) mg/L, HI(t) mg/L;

// INITIAL CONDITIONS
when(t=t.min) {LO=Alo; MID=Amid; HI=Ahi;}

// ORDINARY DIFFERENTIAL EQUATIONS
LO:t  = -Vmax*LO/(Km+LO);
MID:t = -Vmax*MID/(Km+MID);
HI:t  = -Vmax*HI/(Km+HI);



}