import nsrunit; unit conversion on;
math SAhalfLife { 
// INDEPENDENT VARIABLE
realDomain t hour; t.min=0; t.max=16.0; t.delta=0.05;

// PARAMETERS
real Alo = 1 mg/L, Amid =50 mg/L, Ahi =300 mg/L;    // Initial Concentrations
real thalflo =5 hour, thalfmid = 5 hour, thalfhi = 5 hour;  // Half-life

// DEPENDENT VARIABLES
real lo(t)   mg/L,   mid(t) mg/L,    hi(t) mg/L;    // Concentrations

// INITIAL CONDITIONS
when(t=t.min) {lo=Alo; mid=Amid; hi=Ahi; }          

// ORDINARY DIFFERENTIAL EQUATIONS
lo:t=(-ln(2)/thalflo)*lo;
mid:t=(-ln(2)/thalfmid)*mid;
hi:t=(-ln(2)/thalfhi)*hi;
}